Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2AABB Struct Reference

An axis aligned bounding box. More...

`#include <b2Collision.h>`

## Public Member Functions
bool | IsValid () const
| Verify that the bounds are sorted. More...
b2Vec2 | GetCenter () const
| Get the center of the AABB. More...
b2Vec2 | GetExtents () const
| Get the extents of the AABB (half-widths). More...
float32 | GetPerimeter () const
| Get the perimeter length. More...
void | Combine (const b2AABB &aabb)
| Combine an AABB into this one. More...
void | Combine (const b2AABB &aabb1, const b2AABB &aabb2)
| Combine two AABBs into this one. More...
bool | Contains (const b2AABB &aabb) const
| Does this aabb contain the provided AABB. More...
bool | RayCast (b2RayCastOutput *output, const b2RayCastInput &input) const

## Public Attributes
b2Vec2 | lowerBound
| the lower vertex More...
b2Vec2 | upperBound
| the upper vertex More...

## Detailed Description

An axis aligned bounding box.

## Member Function Documentation

void Combine | ( | const b2AABB & | aabb | ) |
| inline

Combine an AABB into this one.

void Combine | ( | const b2AABB & | aabb1,
|  | const b2AABB & | aabb2
| ) |  |
| inline

Combine two AABBs into this one.

bool Contains | ( | const b2AABB & | aabb | ) | const
| inline

Does this aabb contain the provided AABB.

b2Vec2 GetCenter | ( |  | ) | const
| inline

Get the center of the AABB.

b2Vec2 GetExtents | ( |  | ) | const
| inline

Get the extents of the AABB (half-widths).

float32 GetPerimeter | ( |  | ) | const
| inline

Get the perimeter length.

bool IsValid | ( |  | ) | const
| inline

Verify that the bounds are sorted.

bool RayCast | ( | b2RayCastOutput * | output,
|  | const b2RayCastInput & | input
| ) |  | const

## Member Data Documentation

b2Vec2 lowerBound

the lower vertex

b2Vec2 upperBound

the upper vertex

The documentation for this struct was generated from the following files:

- Box2D/Collision/b2Collision.h
- Box2D/Collision/b2Collision.cpp